Skip to main content

Remove phone numbers

DELETE 

/business/{businessId}/phone

If a registered business no longer has control over one or more phone numbers, use this API to un-register those phone numbers. It is important to maintain accurate phone number lists for registered businesses, as an inaccurate phone number list may impact a business’ calling reputation.

Phone numbers may be deleted individually, or deleted as a job name set. Phone numbers should be in E.164 format. IMPORTANT: Phone numbers must be provided using URL escaped characters. This means the + sign from E.164 phone numbers is replaced with ‘%2b’.

Path Parameters​


    businessId stringrequired

    Id of a business

    Example: 60ff7262-d373-4242-8fc8-a3ecfb51d0c1

Query Parameters​


    phones string[]

    Individual phone numbers to be removed from this business. Phone numbers must be provided using E.164 formatting and must be URL-encoded, provided as a list separated by ampersands (&). For example, "?phones=%2b12065550123&phones=%2b12065559876"


    jobName string

    Optionally a single job name to remove all phone numbers with that job name. If used, it is not supported to also provide a list of phone numbers.

Responses​

Accepted

Response Body

application/json

    requestIdstringrequired

    The unique identifier for the request. This ID can be used to track the request and its associated response.


    timestampstringrequired

    The timestamp when the request was processed. This field indicates the exact time at which the response was generated.

    Format: string<date-time>

    descriptionstringrequired

    A human-readable description of the response. This field provides additional context or information about the request and its outcome.

Example from Schema​

{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"description": "string"
}